Bug 547016 - Review Request: perl-CGI-Application-Plugin-FormState - Store Form State without Hidden Fields
Review Request: perl-CGI-Application-Plugin-FormState - Store Form State with...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 03:39 EST by Emmanuel Seyman
Modified: 2009-12-24 15:38 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.12-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-24 15:35:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-12-13 03:39:30 EST
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-FormState/perl-CGI-Application-Plugin-FormState.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-FormState/perl-CGI-Application-Plugin-FormState-0.12-1.fc12.src.rpm
Description:
CGI::Application::Plugin::FormState provides a temporary storage area
within the user's session for storing form-related data.
Comment 1 Parag AN(पराग) 2009-12-15 03:29:17 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1872513
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
c9da0b80ee9320f9ac3ed360ac75261464d7d693  CGI-Application-Plugin-FormState-0.12.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=10, Tests=112,  5 wallclock secs ( 0.02 usr  0.03 sys +  0.71 cusr  0.14 csys =  0.90 CPU)
+ Package perl-CGI-Application-Plugin-FormState-0.12-1.fc13.noarch =>
Provides: perl(CGI::Application::Plugin::FormState) = 0.12
Requires: perl(CGI::Application) perl(CGI::Application::Plugin::Session) perl(CGI::Session::ID::md5) perl(Carp) perl(Exporter) perl(Scalar::Util) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Emmanuel Seyman 2009-12-15 05:00:51 EST
Thanks, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-FormState
Short Description: Store Form State without Hidden Fields
Owners: eseyman
Branches: F-11 F-12
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-12-16 00:25:58 EST
cvs done.
Comment 4 Fedora Update System 2009-12-16 04:56:23 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-FormState-0.12-1.fc12
Comment 5 Fedora Update System 2009-12-16 04:56:29 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-FormState-0.12-1.fc11
Comment 6 Fedora Update System 2009-12-17 23:38:22 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-FormState'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13372
Comment 7 Fedora Update System 2009-12-17 23:47:52 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-FormState'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13398
Comment 8 Fedora Update System 2009-12-24 15:35:26 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-12-24 15:38:55 EST
perl-CGI-Application-Plugin-FormState-0.12-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.